precision highp float;

attribute vec4 position;
attribute vec4 normal;
varying vec2 texcoordVarying;
varying vec4 diffuseVarying;

uniform mat4 mvp;
uniform vec4 globalScale;

const float uvWeight = 1.0 / 256.0;


void main()
{
    
    texcoordVarying.x = ( normal.w + 128.5 ) * uvWeight;
    texcoordVarying.y = 0.75;
    
    diffuseVarying = vec4( 1.0, 1.0, 1.0, 1.0 );
    gl_Position = mvp * vec4( position.x, position.y, position.z * globalScale.z, 1.0 );
}